Subject: Re: Fwd: [PATCH] git-subtree: Avoid using echo -n even indirectly

From: Jonathan Nieder <[email-masked]>
Date: Wed, 9 Oct 2013 14:11:01 -0700

Paolo Giarrusso wrote:

> Seeing the email, I wonder whether there's hope something like that
> can be preserved in an email, and whether the code should use some
> escape sequence instead.

Yes, please.  Mind if I amend it to

	printf "%s\r" "$revcount/$revmax ($createcount)" >&2

?

[...]
>>         say()
>>         {
>>                 if [ -z "$quiet" ]; then
>>                         echo "$@" >&2
>>                fi
>>         }

I agree with the other reviewers that this should be fixed to use
printf, too, but that's another topic.

Thanks,
Jonathan